Class | IO
In: | lib/phusion_passenger/utils.rb
Parent: | Object

### Methods

close_on_exec! recv_io send_io

### Public Instance methods

close_on_exec!()

[Source]

         # File lib/phusion_passenger/utils.rb, line 606
    606:         def close_on_exec!
    607:                 if defined?(Fcntl::F_SETFD)
    608:                         fcntl(Fcntl::F_SETFD, Fcntl::FD_CLOEXEC)
    609:                 end
    610:         end

recv_io(klass = IO)

Receive an IO object (i.e. a file descriptor) from this IO channel. This only works if this IO channel is a Unix socket.

Raises SystemCallError if something went wrong.

[Source]

         # File lib/phusion_passenger/utils.rb, line 601
    601:                 def recv_io(klass = IO)
    602:                         return klass.for_fd(PhusionPassenger::NativeSupport.recv_fd(self.fileno))
    603:                 end

send_io(io)

Send an IO object (i.e. a file descriptor) over this IO channel. This only works if this IO channel is a Unix socket.

Raises SystemCallError if something went wrong.

[Source]

         # File lib/phusion_passenger/utils.rb, line 593
    593:                 def send_io(io)
    594:                         PhusionPassenger::NativeSupport.send_fd(self.fileno, io.fileno)
    595:                 end

[Validate]